summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Miguel De Anda2014-05-22 15:02:18 +0200
committer Willy Sudiarto Raharjo2014-05-23 04:16:29 +0200
commitb1b5d97e815fe13e8abf61d166714349cc0633ba (patch)
tree557a84d433e84cc7b511b75a8594f17f1a29c010 /development
parent923e2f3bfbcc9e772c816b8e764a7d370c43ae52 (diff)
downloadslackbuilds-b1b5d97e815fe13e8abf61d166714349cc0633ba.tar.gz
development/smartgithg: Added (Desktop Git Client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/smartgithg/README1
-rw-r--r--development/smartgithg/doinst.sh3
-rw-r--r--development/smartgithg/slack-desc19
-rw-r--r--development/smartgithg/smartgithg.SlackBuild70
-rw-r--r--development/smartgithg/smartgithg.desktop13
-rw-r--r--development/smartgithg/smartgithg.info10
6 files changed, 116 insertions, 0 deletions
diff --git a/development/smartgithg/README b/development/smartgithg/README
new file mode 100644
index 0000000000..429cd3c03c
--- /dev/null
+++ b/development/smartgithg/README
@@ -0,0 +1 @@
+SmartGitHg is a commercial desktop git client that provides a free non-commercial use license.
diff --git a/development/smartgithg/doinst.sh b/development/smartgithg/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/smartgithg/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/smartgithg/slack-desc b/development/smartgithg/slack-desc
new file mode 100644
index 0000000000..d403de9beb
--- /dev/null
+++ b/development/smartgithg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+smartgithg: smartgithg (Desktop Git Client)
+smartgithg:
+smartgithg: SmartGitHg is a commercial desktop git client that provides
+smartgithg: a free non-commercial use license.
+smartgithg:
+smartgithg: Homepage: http://www.syntevo.com/smartgithg/
+smartgithg:
+smartgithg:
+smartgithg:
+smartgithg:
+smartgithg:
diff --git a/development/smartgithg/smartgithg.SlackBuild b/development/smartgithg/smartgithg.SlackBuild
new file mode 100644
index 0000000000..6c8faa24c6
--- /dev/null
+++ b/development/smartgithg/smartgithg.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware Package Build Script for SmartGitHg
+# Copyright 2014 Miguel De Anda
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="smartgithg"
+VERSION=${VERSION:-5.0.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+#they use _ instead of periods...
+FILE_VERSION=${VERSION//./_}
+
+set -e
+
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-generic-$FILE_VERSION.tar.gz
+cd $PRGNAM-$FILE_VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -R changelog.txt known-issues.txt readme-linux.txt smartgithg.url licenses $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -R lib bin $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/share/pixmaps
+cp bin/$PRGNAM-128.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/smartgithg/smartgithg.desktop b/development/smartgithg/smartgithg.desktop
new file mode 100644
index 0000000000..1c41bb81bf
--- /dev/null
+++ b/development/smartgithg/smartgithg.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Name=SmartGit/Hg 5
+Keywords=git;hg;svn;mercurial;subversion
+GenericName=Git&Hg-Client + SVN-support
+Type=Application
+Categories=Development;RevisionControl
+Terminal=false
+StartupNotify=true
+Exec="/usr/share/smartgithg/bin/smartgithg.sh" %u
+MimeType=x-scheme-handler/smartgit
+Icon=smartgithg
diff --git a/development/smartgithg/smartgithg.info b/development/smartgithg/smartgithg.info
new file mode 100644
index 0000000000..ffc8ddf4c5
--- /dev/null
+++ b/development/smartgithg/smartgithg.info
@@ -0,0 +1,10 @@
+PRGNAM="smartgithg"
+VERSION="5.0.9"
+HOMEPAGE="http://www.syntevo.com/smartgithg/"
+DOWNLOAD="http://www.syntevo.com/download/smartgithg/smartgithg-generic-5_0_9.tar.gz"
+MD5SUM="8ec5a36666489f11841e320854dbb1fa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Miguel De Anda"
+EMAIL="miguel@thedeanda.com"